petsc-3.7.1 2016-05-15
Report Typos and Errors

# PetscFixFilename

Fixes a file name so that it is correct for both Unix and Windows by using the correct / or \ to separate directories.

### Synopsis

    PetscErrorCode  PetscFixFilename(const char filein[],char fileout[])

Not Collective Many br

### Input Parameter

filein -name of file to be fixed Many br

### Output Parameter

fileout -the fixed name. Should long enough to hold the filename. Many br

Many br

### Notes

Call PetscFixFilename() just before calling fopen(). Many br

Level:advanced
Location:src/sys/fileio/ghome.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages